Platform - Configuration - Security Deployment

Get current security deployment

Retrieves the current security deployment. NOTE: This is a beta feature.

Request

GET /api/v1/platform/configuration/security/deployment

Responses

200

(SecurityDeployment) The security deployment was successfully returned

Headers

x-cloud-resource-created (string)
The date-time when the resource was created (ISO format relative to UTC)
x-cloud-resource-last-modified (string)
The date-time when the resource was last modified (ISO format relative to UTC)
x-cloud-resource-version (string)
The resource version, which is used to avoid update conflicts with concurrent operations
404
(BasicFailedReply) The realm specified by {realm_id} cannot be found. (code: security_deployment.not_found)
Warning

To perform this operation, you must be authenticated by means of one of the following methods: apiKey, basicAuth.

Request example

curl -XGET {{hostname}}/api/v1/platform/configuration/security/deployment \
-u $CLOUD_USER:$CLOUD_KEY

Create security deployment

Creates a new security deployment configuration. NOTE: This is a beta feature.

Request

POST /api/v1/platform/configuration/security/deployment

Request body

(SecurityDeploymentCreateRequest) (required) The deployment request

Responses

201

(IdResponse) The security deployment was successfully created

Headers

x-cloud-resource-created (string)
The date-time when the resource was created (ISO format relative to UTC)
x-cloud-resource-last-modified (string)
The date-time when the resource was last modified (ISO format relative to UTC)
x-cloud-resource-version (string)
The resource version, which is used to avoid update conflicts with concurrent operations
409
(BasicFailedReply) * There is a version conflict. (code: security_deployment.version_conflict) * There is a version conflict. (code: security_deployment.already_exists)
449
(BasicFailedReply) Elevated permissions are required. (code: root.unauthorized.rbac.elevated_permissions_required)
Warning

To perform this operation, you must be authenticated by means of one of the following methods: apiKey, basicAuth.

Request example

curl -XPOST {{hostname}}/api/v1/platform/configuration/security/deployment \
-u $CLOUD_USER:$CLOUD_KEY \
-H 'Content-Type: application/json' \
-d '
{
   "name" : "string",
   "topology" : {
      "size" : {
         "resource" : "string",
         "value" : 0
      },
      "zone_count" : 0
   },
   "version" : "string"
}
'

Disables the security deployment

Disables the existing security deployment configuration. NOTE: This is a beta feature.

Request

POST /api/v1/platform/configuration/security/deployment/_disable

Query parameters

Name Type Required Description

version

integer

N

When specified, checks for conflicts against the version stored in the persistent store (returned in 'x-cloud-resource-version' of the GET request)

Responses

200

(EmptyResponse) The security deployment was successfully disabled

Headers

x-cloud-resource-created (string)
The date-time when the resource was created (ISO format relative to UTC)
x-cloud-resource-last-modified (string)
The date-time when the resource was last modified (ISO format relative to UTC)
x-cloud-resource-version (string)
The resource version, which is used to avoid update conflicts with concurrent operations
404
(BasicFailedReply) The realm specified by {realm_id} cannot be found. (code: security_deployment.not_found)
409
(BasicFailedReply) There is a version conflict. (code: security_deployment.version_conflict)
449
(BasicFailedReply) Elevated permissions are required. (code: root.unauthorized.rbac.elevated_permissions_required)
Warning

To perform this operation, you must be authenticated by means of one of the following methods: apiKey, basicAuth.

Request example

curl -XPOST {{hostname}}/api/v1/platform/configuration/security/deployment/_disable \
-u $CLOUD_USER:$CLOUD_KEY

Enables the security deployment

Enables the existing security deployment configuration. NOTE: This is a beta feature.

Request

POST /api/v1/platform/configuration/security/deployment/_enable

Query parameters

Name Type Required Description

version

integer

N

When specified, checks for conflicts against the version stored in the persistent store (returned in 'x-cloud-resource-version' of the GET request)

Responses

200

(EmptyResponse) The security deployment was successfully enabled

Headers

x-cloud-resource-created (string)
The date-time when the resource was created (ISO format relative to UTC)
x-cloud-resource-last-modified (string)
The date-time when the resource was last modified (ISO format relative to UTC)
x-cloud-resource-version (string)
The resource version, which is used to avoid update conflicts with concurrent operations
404
(BasicFailedReply) The realm specified by {realm_id} cannot be found. (code: security_deployment.not_found)
409
(BasicFailedReply) There is a version conflict. (code: security_deployment.version_conflict)
449
(BasicFailedReply) Elevated permissions are required. (code: root.unauthorized.rbac.elevated_permissions_required)
Warning

To perform this operation, you must be authenticated by means of one of the following methods: apiKey, basicAuth.

Request example

curl -XPOST {{hostname}}/api/v1/platform/configuration/security/deployment/_enable \
-u $CLOUD_USER:$CLOUD_KEY